// C Header File
// Created 01/01/03; 12:31:13

// TI Flash Studio macros, constants and structures definitions for
// Flash Apps Hider (from tiams.h)

#ifndef __TIFS_H__
#define __TIFS_H__

typedef HANDLE AppID;

#define OO_APP_NAME (2)
#define CM_INSTALL      0x70C
#define CM_UNINSTALL    0x70D


typedef struct SACB
{
   USHORT flags;
   AppID myID;
   AppID next;
   AppID prev;
   ULONG publicstorage;
   void const *appHeader;
   BYTE const *certhdr;
   pFrame appData;
} ACB;

typedef enum
{
   ACB_BUILTIN   =0x0001,
   ACB_INSTALLED =0x0002,
   ACB_LOCALIZER =0x0004,
   ACB_LOCK      =0x0008,
   ACB_JT_VERSION=0x0010,
   ACB_SELECTED  =0x0020,
   ACB_COLLAPSE  =0x0800,
   ACB_BG        =0x1000,
   ACB_COMPRESS  =0x4000,
   ACB_DELETE    =0x8000
} ACB_Flags;


#define CERT_SIZE   (8*1024)
#define PRODUCT_MEMORY (&CertificateMemory[CERT_SIZE])
#define PRODUCT_LENGTH (FlashMemoryEnd - PRODUCT_MEMORY)

#define GetAppName(obj) \
  (UCHAR *)OO_GetAppAttr(obj,2)
#define AppCanDelete(obj) \
  ((BOOL (* const)(AppID))OO_GetAppAttr(obj,12))(obj)


#define DF_SCROLLABLE     0x02
#define DF_CLR_ON_REDRAW  0x04
#define DF_TAB_SPACES     0x04

enum DialogTypes {D_END, D_MENU, D_EDIT_FIELD, D_SCROLL_REGION, D_OPTION,
                  D_RADIO, D_BUTTON, D_TEXT, D_HEADER, D_NOTUSED1, D_POPUP,
                  D_DYNPOPUP, D_HEDIT, D_DYNHEADER, D_HPOPUP, D_XFLAGS };


#endif   // #ifndef __TIFS_H__
